/*
 * AMORPH.H			Miscellaneous Stuff for CSWITCH
 *
 *					Modification History:
 *
 *					Original code.
 *								N. Moss, 3 September 90.
 *
 *					- Expanded MSGBUF_LEN from 128 to 512 bytes.
 *								N. Moss, 17 September 90.
 *
 */


/* message types - 1st byte of any message sent through CSWITCH queues */

#define	MTYPE_CONSOLE		1		/* virtual console startup */
#define MTYPE_CLIENT_DATA	2		/* display data from client task on virtual console */
#define MTYPE_TIME_DATE		3		/* time & date info for virtual console */
#define MTYPE_DOS			4		/* exit virtual consoles and return to dos */


/* default priority */

#define DEFAULT_PRI			5		/* default program priority at load time */


/* maximum # of virtual consoles */

#define MAX_CONSOLES		8


/* buffer sizes */

#define INBUF_LEN			128		/* console keyboard input buffer length */
#define MSGBUF_LEN			512		/* console message receive queue length */


/* generic parameters structure for tasks that bind to virtual consoles */

typedef struct
		{
			int recv_qid;
			int send_qid;
			int console_num;
			char msgbuf[MSGBUF_LEN];
			char inbuf[INBUF_LEN];
		} PARMS;